<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>


        </h:head>
        <h:body>
            <br/>
            <h1>TEST  de una página que se incluye en otra y al cargarse llama a un método en un MB</h1>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="/images/ajaxloadingbar.gif" />
                </f:facet>

            </p:ajaxStatus>

            <script type="text/javascript">
                $(document).ready(
                        function () {
                            //alert('hola lola en body');
                            //OJO: para rteferirse a elementos jsf se debe usar la cadena completa de ids y \\: para representar el ':'
                            $('#nomemoleste\\:linkDummyParaDefinirUsuario').click();
                        }
                );
            </script>    


            <h:form id="nomemoleste">
                <p:commandLink id="linkDummyParaDefinirUsuario"
                               action="#{administracionComisiones.linkDummyParaDefinirUsuarioListener}">
                    <f:setPropertyActionListener target="#{administracionComisiones.tipoUsuarioAutenticado}" 
                                                 value="#{tipoUsuarioParam}"/>
                </p:commandLink>
            </h:form>

        </h:body>
    </f:view>
</html>
